define("dummy/tests/integration/misc-test", 
  ["ember","dummy/tests/helpers/start-app","ember-qunit"],
  function(__dependency1__, __dependency2__, __dependency3__) {
    "use strict";
    /* global moment */
    var Ember = __dependency1__["default"];
    var startApp = __dependency2__["default"];
    var test = __dependency3__.test;
    var moduleForComponent = __dependency3__.moduleForComponent;

    var App, component;

    moduleForComponent("bs-datetimepicker", "ember-bootstrap-datetimepicker integration", {
      setup: function () {
        App = startApp();
      },
      teardown: function () {
        Ember.run(App, "destroy");
        // clear up component (this should be done by ember-qunit soon!)
        if (component) {
          Ember.run(component, "destroy");
          component = null;
        }
      }
    });

    test("it shows the picker on input focus, then hides it after click outside", function () {
      expect(3);
      component = this.subject();

      // initial render
      this.$();

      andThen(function () {
        equal($(".bootstrap-datetimepicker-widget").css("display"), undefined, "date picker is initially a hidden");
        click($(".input-group-addon"));
      });



      andThen(function () {
        equal($(".bootstrap-datetimepicker-widget").css("display"), "block", "date picker is visible");
        click($(".input-group-addon"));
      });
      andThen(function () {
        equal($(".bootstrap-datetimepicker-widget").css("display"), undefined, "date picker is hidden again");
      });
    });
  });